# Uses of Class
javax.accessibility.AccessibleTextSequence

Packages that use AccessibleTextSequence
Package
Description
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of AccessibleTextSequence in javax.accessibility

Methods in javax.accessibility that return AccessibleTextSequence
Modifier and Type
Method
Description
`AccessibleTextSequence`
AccessibleExtendedText.`getTextSequenceAfter(int part, int index)`
Returns the `AccessibleTextSequence` after a given index.
`AccessibleTextSequence`
AccessibleExtendedText.`getTextSequenceAt(int part, int index)`
Returns the `AccessibleTextSequence` at a given index.
`AccessibleTextSequence`
AccessibleExtendedText.`getTextSequenceBefore(int part, int index)`
Returns the `AccessibleTextSequence` before a given index.

## Uses of AccessibleTextSequence in javax.swing

Methods in javax.swing that return AccessibleTextSequence
Modifier and Type
Method
Description
`AccessibleTextSequence`
JPasswordField.AccessibleJPasswordField.`getTextSequenceAfter(int part, int index)`
Returns the `AccessibleTextSequence` after a given `index`.
`AccessibleTextSequence`
JPasswordField.AccessibleJPasswordField.`getTextSequenceAt(int part, int index)`
Returns the `AccessibleTextSequence` at a given `index`.
`AccessibleTextSequence`
JPasswordField.AccessibleJPasswordField.`getTextSequenceBefore(int part, int index)`
Returns the `AccessibleTextSequence` before a given `index`.

## Uses of AccessibleTextSequence in javax.swing.text

Methods in javax.swing.text that return AccessibleTextSequence
Modifier and Type
Method
Description
`AccessibleTextSequence`
JTextComponent.AccessibleJTextComponent.`getTextSequenceAfter(int part, int index)`
Returns the `AccessibleTextSequence` after a given `index`.
`AccessibleTextSequence`
JTextComponent.AccessibleJTextComponent.`getTextSequenceAt(int part, int index)`
Returns the `AccessibleTextSequence` at a given `index`.
`AccessibleTextSequence`
JTextComponent.AccessibleJTextComponent.`getTextSequenceBefore(int part, int index)`
Returns the `AccessibleTextSequence` before a given `index`.